## GstBtSidSynV GstBtSidSynV — c64 sid synthesizer voice |

## Properties

guint | attack | Read / Write
guint | decay | Read / Write
GstBtSidSynEffect | effect-type | Write
guint | effect-value | Write
gboolean | fiter-voice | Read / Write
GstBtNote | note | Write
guint | pulse-width | Read / Write
guint | release | Read / Write
gboolean | ringmod | Read / Write
guint | sustain | Read / Write
gboolean | sync | Read / Write
gboolean | test | Read / Write
GstBtSidSynWave | wave | Read / Write

## Types and Values

enum | GstBtSidSynWave
enum | GstBtSidSynEffect
struct | GstBtSidSynV

## Object Hierarchy

        GEnum
        ├── GstBtSidSynEffect
        ╰── GstBtSidSynWave
        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstBtSidSynV

## Implemented Interfaces

GstBtSidSynV implements GstBtPropertyMeta.

## Description

A single voice for GstBtSidSyn.

## Functions

## Types and Values

### enum GstBtSidSynWave

Oscillator wave forms.

#### Members

GSTBT_SID_SYN_WAVE_TRIANGLE | triangle wave |
GSTBT_SID_SYN_WAVE_SAW | saw wave |
GSTBT_SID_SYN_WAVE_SAW_TRIANGLE | saw + triangle wave |
GSTBT_SID_SYN_WAVE_PULSE | square wave with pulse width modulation |
GSTBT_SID_SYN_WAVE_PULSE_TRIANGLE | square + triangle wave |
GSTBT_SID_SYN_WAVE_PULSE_SAW | square + saw wave |
GSTBT_SID_SYN_WAVE_PULSE_SAW_TRIANGLE | square + saw + triangle wave |
GSTBT_SID_SYN_WAVE_NOISE | noise |

### enum GstBtSidSynEffect

Track effects.

#### Members

GSTBT_SID_SYN_EFFECT_ARPEGGIO | arpeggio |
GSTBT_SID_SYN_EFFECT_PORTAMENTO_UP | portamento up |
GSTBT_SID_SYN_EFFECT_PORTAMENTO_DOWN | portamento down |
GSTBT_SID_SYN_EFFECT_PORTAMENTO | portamento |
GSTBT_SID_SYN_EFFECT_VIBRATO | vibrato |
GSTBT_SID_SYN_EFFECT_GLISSANDO_CONTROL | glissando control |
GSTBT_SID_SYN_EFFECT_VIBRATO_TYPE | vibrato type |
GSTBT_SID_SYN_EFFECT_FINETUNE | finetune |
GSTBT_SID_SYN_EFFECT_NONE | none |

### struct GstBtSidSynV

    struct GstBtSidSynV;

Class instance data.

## Property Details

### The `“attack”` property

      “attack”                   guint

Attack.

Flags: Read / Write

Allowed values: <= 15

Default value: 2

### The `“decay”` property

      “decay”                    guint

Decay.

Flags: Read / Write

Allowed values: <= 15

Default value: 2

### The `“effect-type”` property

      “effect-type”              GstBtSidSynEffect

Effect Type.

Flags: Write

Default value: None

### The `“effect-value”` property

      “effect-value”             guint

Effect parameter(s).

Flags: Write

Allowed values: <= 255

Default value: 0

### The `“fiter-voice”` property

      “fiter-voice”              gboolean

Filter Voice.

Flags: Read / Write

Default value: FALSE

### The `“note”` property

      “note”                     GstBtNote

Musical note (e.g. 'c-3', 'd#4').

Flags: Write

Default value: NONE

### The `“pulse-width”` property

      “pulse-width”              guint

Pulse Width.

Flags: Read / Write

Allowed values: <= 4095

Default value: 2048

### The `“release”` property

      “release”                  guint

Release.

Flags: Read / Write

Allowed values: <= 15

Default value: 5

### The `“ringmod”` property

      “ringmod”                  gboolean

Ringmod with voice 3.

Flags: Read / Write

Default value: FALSE

### The `“sustain”` property

      “sustain”                  guint

Sustain.

Flags: Read / Write

Allowed values: <= 15

Default value: 10

### The `“sync”` property

      “sync”                     gboolean

Sync with voice 3.

Flags: Read / Write

Default value: FALSE

### The `“test”` property

      “test”                     gboolean

Control test bit.

Flags: Read / Write

Default value: FALSE

### The `“wave”` property

      “wave”                     GstBtSidSynWave

Oscillator waveform.

Flags: Read / Write

Default value: Triangle